# Show usage

Retrieve a single usage

Endpoint: PUT /iacm/api/enforcement/client/usage/{metric}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account identifier
    Example: "In quaerat at asperiores odio."

## Path parameters:

  - `metric` (string, required)
    Usage metric
    Example: "Occaecati vel nisi."

## Response 200 fields (application/json):

  - `data` (object, required)
    Example: {"ansible":{"uniqueHosts30d":611906464076388100},"count":8171037351067480000}

  - `data.ansible` (object)
    Example: {"uniqueHosts30d":7818491180333561000}

  - `data.ansible.uniqueHosts30d` (integer, required)
    Unique hosts with runs in last 30 days
    Example: 7818491180333561000

  - `data.count` (integer, required)
    Metric value (IACM successful applies)
    Example: 8171037351067480000

  - `status` (string, required)
    Example: "Atque quae officia et accusantium ut voluptas."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


